
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Restricted Material of IBM
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2006 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------


--------------------------------------------------------------------------
-- $Revision: 1.5 $
-- $Descr: Ada95 function: Ada.Unchecked_Conversion$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 13.9 - Unchecked Type Conversions
--
--------------------------------------------------------------------------
generic

   type Source(<>) is limited private;
   type Target(<>) is limited private;

function Ada.Unchecked_Conversion(S : Source) return Target;

pragma Convention(Intrinsic, Ada.Unchecked_Conversion);
pragma Pure(Ada.Unchecked_Conversion);
--
--------------------------------------------------------------------------
