
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Restricted Material of IBM
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2006 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------


--------------------------------------------------------------------------
-- $Revision: 1.5 $
-- $Descr: Ada95 package: Ada.Tags$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 3.9 - Tagged Types and Type Extensions
-- Modified to handle Implementation Dependent Definitions
--
--------------------------------------------------------------------------
with RTRT_Imp95 ;

package Ada.Tags is

    type Tag is private;

    function Expanded_Name(T : Tag) return String;
    function External_Tag(T : Tag) return String;
    function Internal_Tag(External : String) return Tag;

    Tag_Error : exception;

private

   -- not specified by the language
   Type Tag is new RTRT_Imp95.t_Ada_Tags_Tag ;

end Ada.Tags;
--
--------------------------------------------------------------------------
