
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Restricted Material of IBM
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2006 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------


--------------------------------------------------------------------------
-- $Revision: 1.5 $
-- $Descr: Ada95 function: Ada.Unchecked_Deallocation$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 13.11.2 - Unchecked Storage Deallocation
--
--------------------------------------------------------------------------
generic

   type Object(<>) is limited private;
   type Name   is access  Object;

procedure Ada.Unchecked_Deallocation(X : in out Name);

pragma Convention(Intrinsic, Ada.Unchecked_Deallocation);
pragma Preelaborate(Ada.Unchecked_Deallocation);
--
--------------------------------------------------------------------------
