
/////////////////////////////////////////////////////////////////////////////////////////////////
//
//  Licensed Materials - Property of IBM
//  Restricted Material of IBM
//  IBM Rational Test RealTime
//  (c) Copyright IBM Corp. 2003-2006 All Rights Reserved.
//
//  US Governement Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
/////////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// $Id: SourceId.java,v 1.8 2006/02/01 15:06:05 build Exp $
// $Descr: Tsf Source Identification $
////////////////////////////////////////////////////////////////////////////////


package com.rational.testrealtime;

public class SourceId {

  public SourceId ( int id1,
                    int id2,
                    ThreadListener _thread_listener,
                    StackLinkListener _listener_plt ) {
    trace_dynamic_id = 0;
    tsf_id1 = id1;
    tsf_id2 = id2;
    thread_listener = _thread_listener;
    listener_plt = _listener_plt;
    listener_qlt = null;
  }

  public int trace_dynamic_id;
  public int tsf_id1, tsf_id2;

  public ThreadListener thread_listener;
  public StackLinkListener listener_plt, listener_qlt;

}

